GITHUB_MD2HTML(1)

NAME
github_md2html - convert markdown to HTML with GitHub API

SYNOPSIS
github_md2html [OPTION]... FILE...

DESCRIPTION
Converts Markdown files to HTML using the GitHub converter API. FILE can either be a file name or a directory name (e.g. '.'). If it's a directory, the whole sub-tree will be scanned and all files with an extension of .md will be converted. The created HTML files have the extension .md.html. Unless the -force option is given the script checks whether the .md.html file already exists and converts only when the markdown file is newer than the HTML file.

OPTIONS

-force
    re-create all files, even when they exist and are up-to-date.

-standalone
    modify local links for usage with a local browser. All links pointing to a local .md file will be redirected to the .md.html file and all links pointing to a local directory will be redirected to a README.md.html in case the directory README exists. This mode is useful when one wants to inspect the files directly with a browser.

-trace
    trace link mapping in -standalone mode.

-verbose
    print status of each inspected file. The default is to list only converted files.

-context cont
    defines the GitHub repository context.

-dump
    print HTTP request and response.

-help
    print help text.

EXIT STATUS
In case of an error, an exit status 1 is returned.

EXAMPLES

github_md2html -s .
    will convert all .md files in the current sub-tree in standalone mode.

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>